import java.io.*;
import java.util.*;

public class spelling_at implements Runnable {
	BufferedReader in;
	StringTokenizer st;
	PrintWriter out;
	
	public void solve() throws Exception {
		int n = nextInt();
		int m = nextInt();
		HashSet<String> dictionary = new HashSet<String>();
		HashSet<String> composition = new HashSet<String>();
		for(int i = 0; i < n; ++i) {
			dictionary.add(nextToken());
		}
		StringBuilder s = new StringBuilder("");
		for(int i = 0; i < m; ++i) {
			String str = in.readLine();
			s.append(" " + str);
		}
		st = new StringTokenizer(modificationText(s.toString()));
		while(st.hasMoreTokens()) {
			composition.add(st.nextToken());
 		}
		boolean okDic = true;
		boolean okCom = true;
		for(String i : dictionary) {
			if (!composition.contains(i)) {
				okDic = false;
				break;
			}
		}
		for(String i : composition) {
			if (!dictionary.contains(i)) {
				okCom = false;
				break;
			}
		}
		if (okDic && okCom) {
			out.println("Everything is going to be OK.");
		}
		else if (!okCom) {
			out.println("Some words from the text are unknown.");
		}
		else {
			out.println("The usage of the vocabulary is not perfect.");
		}
	}
	
	private String modificationText(String string) {
		StringBuilder result = new StringBuilder("");
		for(int i = 0; i < string.length(); ++i) {
			char c = string.charAt(i);
			if ('A' <= c && c <= 'Z') {
				result.append((char)(c - 'A' + 'a'));
			}
			else if('a' <= c && c <= 'z') {
				result.append(c);
			}
			else {
				result.append(" ");
			}
		}
		return result.toString();
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(89);
		} finally {
			out.close();
		}
	}
	
	private spelling_at(String name) {
		try {
			in = new BufferedReader(new FileReader(name + ".in"));
			st = new StringTokenizer("");
			out = new PrintWriter(new File(name + ".out"));
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(89);
		}
	}

	public static void main(String[] args) {
		(new Thread(new spelling_at("spelling"))).start();
	}
	
	private String nextToken() throws Exception {
		while(!st.hasMoreTokens()) {
			st = new StringTokenizer(in.readLine());
		}
		return st.nextToken();
	}
	
	private int nextInt() throws Exception {
		return Integer.parseInt(nextToken());
	}
}